resource "google_compute_instance" "web" {
  name         = "${var.PROJECT_NAME}-instance"
  machine_type = "f1-micro"
  zone         = "us-west1-a"

  tags = ["web"]

  boot_disk {
    initialize_params {
      image = "ubuntu-minimal-1804-bionic-v20181120"
    }
  }

  network_interface {
    network = "${google_compute_network.default.name}"

    access_config {
      // Ephemeral IP
    }
  }

  metadata_startup_script = <<SCRIPT
  apt update
  apt install -y apache2 git
  rm -r /var/www/html/*
  cd /var/www/html/ && git clone https://"${var.BITBUCKET_USER}":"${var.BITBUCKET_PASS}"@bitbucket.org/terraform-git-website/html.git .
  systemctl enable apache2
  systemctl start apache2
  SCRIPT

  service_account {
    scopes = ["userinfo-email", "compute-ro", "storage-ro"]
  }
}
